OpenVDB 11.0.0

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
MeanCurvature< TranslationMap, DiffScheme2, DiffScheme1 > Struct Template Reference

`#include <openvdb/math/Operators.h>`

## Static Public Member Functions
template<typename Accessor >
static Accessor::ValueType | result (const TranslationMap &, const Accessor &grid, const Coord &ijk)
template<typename Accessor >
static Accessor::ValueType | normGrad (const TranslationMap &, const Accessor &grid, const Coord &ijk)
template<typename StencilT >
static StencilT::ValueType | result (const TranslationMap &, const StencilT &stencil)
template<typename StencilT >
static StencilT::ValueType | normGrad (const TranslationMap &, const StencilT &stencil)

## Member Function Documentation

## ◆ normGrad() [1/2]

template<DDScheme DiffScheme2, DScheme DiffScheme1>
template<typename Accessor >

static Accessor::ValueType normGrad | ( | const TranslationMap & | ,
|  | const Accessor & | grid,
|  | const Coord & | ijk
| ) |  |
| inline static

## ◆ normGrad() [2/2]

template<DDScheme DiffScheme2, DScheme DiffScheme1>
template<typename StencilT >

static StencilT::ValueType normGrad | ( | const TranslationMap & | ,
|  | const StencilT & | stencil
| ) |  |
| inline static

## ◆ result() [1/2]

template<DDScheme DiffScheme2, DScheme DiffScheme1>
template<typename Accessor >

static Accessor::ValueType result | ( | const TranslationMap & | ,
|  | const Accessor & | grid,
|  | const Coord & | ijk
| ) |  |
| inline static

## ◆ result() [2/2]

template<DDScheme DiffScheme2, DScheme DiffScheme1>
template<typename StencilT >

static StencilT::ValueType result | ( | const TranslationMap & | ,
|  | const StencilT & | stencil
| ) |  |
| inline static